org.eclipse.net4j.protocol

## Interface IProtocolProvider

- All Known Implementing Classes:
    ContainerProtocolProvider, ContainerProtocolProvider.Client, ContainerProtocolProvider.Server, FactoriesProtocolProvider

      public interface IProtocolProvider

  Provides `protocol` instances for given types.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IProtocol<?>` | `getProtocol(String type)`

- - ### Method Detail

    - #### getProtocol

          IProtocol<?> getProtocol(String type)

      Since:
        2.0

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html